package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItempoolItemAddAsyncRequest struct {
	/*
	   阶梯商品信息     */
	Param0 *[]domain.AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku `json:"param0,omitempty" required:"false" `
	/*
	   系统自动生成     */
	Param1 *domain.AlibabaHmMarketingItempoolItemAddAsyncCommonActivityParam `json:"param1,omitempty" required:"false" `
	/*
	   alibaba.wdk.marketing.version.generate接口生成     */
	Version *int64 `json:"version" required:"true" `
}

func (s *AlibabaHmMarketingItempoolItemAddAsyncRequest) SetParam0(v []domain.AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku) *AlibabaHmMarketingItempoolItemAddAsyncRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemAddAsyncRequest) SetParam1(v domain.AlibabaHmMarketingItempoolItemAddAsyncCommonActivityParam) *AlibabaHmMarketingItempoolItemAddAsyncRequest {
	s.Param1 = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemAddAsyncRequest) SetVersion(v int64) *AlibabaHmMarketingItempoolItemAddAsyncRequest {
	s.Version = &v
	return s
}

func (req *AlibabaHmMarketingItempoolItemAddAsyncRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStructList(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	if req.Version != nil {
		paramMap["version"] = *req.Version
	}
	return paramMap
}

func (req *AlibabaHmMarketingItempoolItemAddAsyncRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
